package com.hfkj.model;

import java.util.ArrayList;
import java.util.List;

public class MenuTreeModel {

	private Long sid;

	private String menuName;

	private String menuUrl;

	private String menuUrlImg;

	private Long menuPSid;

	//父名称
	private String parentName;

	private Integer menuSort;

	private String menuDesc;
	
	private String menuMobileUrl;//手机端URL
	
	private Integer showOnMobile;//是否在手机端展示

	private List<MenuTreeModel> children;

	public String getMenuMobileUrl() {
		return menuMobileUrl;
	}

	public void setMenuMobileUrl(String menuMobileUrl) {
		this.menuMobileUrl = menuMobileUrl;
	}

	public Integer getShowOnMobile() {
		return showOnMobile;
	}

	public void setShowOnMobile(Integer showOnMobile) {
		this.showOnMobile = showOnMobile;
	}

	public Long getSid() {
		return sid;
	}

	public void setSid(Long sid) {
		this.sid = sid;
	}

	public String getMenuName() {
		return menuName;
	}

	public void setMenuName(String menuName) {
		this.menuName = menuName;
	}

	public String getMenuUrl() {
		return menuUrl;
	}

	public void setMenuUrl(String menuUrl) {
		this.menuUrl = menuUrl;
	}

	public String getMenuUrlImg() {
		return menuUrlImg;
	}

	public void setMenuUrlImg(String menuUrlImg) {
		this.menuUrlImg = menuUrlImg;
	}

	public Long getMenuPSid() {
		return menuPSid;
	}

	public void setMenuPSid(Long menuPSid) {
		this.menuPSid = menuPSid;
	}

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}

	public Integer getMenuSort() {
		return menuSort;
	}

	public void setMenuSort(Integer menuSort) {
		this.menuSort = menuSort;
	}

	public String getMenuDesc() {
		return menuDesc;
	}

	public void setMenuDesc(String menuDesc) {
		this.menuDesc = menuDesc;
	}

	public List<MenuTreeModel> getChildren() {
		return children;
	}

	public void setChildren(List<MenuTreeModel> children) {
		this.children = children;
	}

	/**
	 * 添加子节点.
	 * @param child
	 */
	public void add(MenuTreeModel child) {
		if (children == null) {
			children = new ArrayList<>();
		}
		children.add(child);
	}

}
